<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.64
Name: [2] Imię matki (rozszerzenie)
Description: Szablon rozszerzenia CDA dla imienia matki
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000">
   <title>[2] Imię matki (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.64
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']
Item: (plExtMotherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']"
         id="tmp-r-f3f0a4d0-afcd-4966-867d-80bd6ec47400">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64']/@nullFlavor)">(plExtMotherGivenName): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64'])&lt;=1">(plExtMotherGivenName): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')])&gt;=1 and not(extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]/@nullFlavor)">(plExtMotherGivenName): element extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')])&lt;=1">(plExtMotherGivenName): element extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:person)&gt;=1 and not(extPL:person/@nullFlavor)">(plExtMotherGivenName): element extPL:person jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:person)&lt;=1">(plExtMotherGivenName): element extPL:person występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.64
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64']
Item: (plExtMotherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.64']"
         id="tmp-r-3c89aa6f-c04e-4a8e-80eb-c9c10e38c1fa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMotherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.64'">(plExtMotherGivenName): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.64'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtMotherGivenName): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.64
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]
Item: (plExtMotherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]"
         id="tmp-r-6f1de858-85bb-4ba6-8602-ba1208537bf1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMotherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="@nullFlavor or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111' and @displayName='Mother')">(plExtMotherGivenName): Wartość elementu MUSI wynosić code 'MTH' codeSystem '2.16.840.1.113883.5.111' displayName='Mother'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.64
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:person
Item: (plExtMotherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:person"
         id="tmp-r-643c88e6-ff82-4e86-9969-1795ea51d7d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="string(@classCode)='PSN'">(plExtMotherGivenName): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtMotherGivenName): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="not(./*[not(self::extPL:name)])">(plExtMotherGivenName): We fragmencie dokumentu zgodnym z szablonem "[2] Imię matki (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:name)&gt;=1 and not(extPL:name/@nullFlavor)">(plExtMotherGivenName): element extPL:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(extPL:name)&lt;=1">(plExtMotherGivenName): element extPL:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.64
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:person/extPL:name
Item: (plExtMotherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:person/extPL:name"
         id="tmp-r-85fae1d1-2d98-44dc-bbc5-02307f5666fa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMotherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:given)])">(plExtMotherGivenName): We fragmencie dokumentu zgodnym z szablonem "[2] Imię matki (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(plExtMotherGivenName): element hl7:given jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="count(hl7:given)&lt;=1">(plExtMotherGivenName): element hl7:given występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.64
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:person/extPL:name/hl7:given
Item: (plExtMotherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.64']/extPL:person/extPL:name/hl7:given"
         id="tmp-r-2e561e03-a4d1-43bf-bcde-e003bf132716">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.64-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMotherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
